/*! anamo/bootstrap-for-market-website v0.0.0 | © 2006-present Panagiotis Tsimpoglou. All rights reserved | bitbucket.org/anamo/bootstrap-for-market-website */

import $ from 'jquery'
import debounce from '../helpers/debounce'
import Scrollbar from 'smooth-scrollbar'

$(window).
on('resize', debounce((e) => {
	if(!document.querySelector('.main-header--nav')) {
		return
	}
	let breakpoint = window.getComputedStyle(document.body, ':before').getPropertyValue('content'),
		mainHeaderNav = Scrollbar.get(document.querySelector('.main-header--nav'))
	if(breakpoint.length > 2) {
		breakpoint = breakpoint.slice(1, -1);
	}
	if(mainHeaderNav && !['xs', 'sm'].includes(breakpoint)) {
		mainHeaderNav.destroy()
	} else if(!mainHeaderNav && ['xs', 'sm'].includes(breakpoint)) {
		Scrollbar.init(document.querySelector('.main-header--nav'), {})
	}
}, 99))


$(document).

on('click', '.main-header--account-toggle', (e) => {
	e.preventDefault()
}).

on('show.bs.popover', '#main-search-popover', (e) => {
	$('.main-header').addClass('autocomplete')
}).

on('hidden.bs.popover', '#main-search-popover', (e) => {
	$('.main-header').removeClass('autocomplete')
})
