/*! anamo/bootstrap-for-market-website v0.0.0 | © 2006-present Panagiotis Tsimpoglou. All rights reserved | bitbucket.org/anamo/bootstrap-for-market-website */

export default function debounce(callback, wait, context = this) {
	let timeout = null
	let callbackArgs = null

	const later = () => callback.apply(context, callbackArgs)

	return (...args) => {
		callbackArgs = args
		clearTimeout(timeout)
		timeout = setTimeout(later, wait)
	}
}
